Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class ExecuteQueryPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ExecuteQueryPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class ExecuteQueryPersistentMethod

extends AbstractStaticPersistentMethod

Allows the executing of arbitrary HQL queries.

eg. Account.executeQuery("select distinct a.number from Account a where a.branch = ?", 'London') or Account.executeQuery("select distinct a.number from Account a where a.branch = :branch", [branch:'London'])

Since:
  30-Apr-2006
Author:
  Graeme Rocher, Sergey Nebolsin
See Also:
  http://www.hibernate.org/hib_docs/reference/en/html/queryhql.html

Field Summary
`static SimpleTypeConverter` | `converter`

Constructor Summary
`ExecuteQueryPersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` | `doInvokeInternal(Class clazz, String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getCriteria, getHibernateTemplate, invoke, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### converter

    public static SimpleTypeConverter converter

Constructor Detail

### ExecuteQueryPersistentMethod

    public ExecuteQueryPersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                        ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      groovy.lang.Closure additionalCriteria,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD